Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Move installation of couchdb dependencies

from essentials recipe to couchdb recipe

Change-Id: Iec790273279fb3d2ceaecb9cd0aab0dc7b671409
  • Loading branch information...
commit 199eb4ffbd838a8b7c6b666221cadeb5cbdbb6be 1 parent 36f711c
Harshawardhan Gadgil authored
View
7 dev_setup/cookbooks/couchdb/recipes/default.rb
@@ -5,6 +5,13 @@
# Copyright 2012, VMware
#
+
+%w{xulrunner-1.9.2-dev libicu-dev libcurl4-gnutls-dev libtool erlang-dev erlang-eunit erlang-inets erlang-os-mon erlang-xmerl}.each do |p|
+ package p do
+ action [:install]
+ end
+end
+
node[:couchdb][:supported_versions].each do |version, install_version|
#TODO, need more refine to actually support mutiple versions
Chef::Log.info("Building couchdb version: #{version} - #{install_version}")
View
3  dev_setup/cookbooks/essentials/recipes/default.rb
@@ -8,8 +8,7 @@
%w{apt-utils build-essential libssl-dev
libxml2 libxml2-dev libxslt1.1 libxslt1-dev git-core sqlite3 libsqlite3-ruby
- libsqlite3-dev unzip zip ruby-dev libmysql-ruby libmysqlclient-dev libcurl4-openssl-dev
- xulrunner-1.9.2-dev libicu-dev libcurl4-gnutls-dev libtool erlang-dev erlang-eunit erlang-inets erlang-os-mon erlang-xmerl}.each do |p|
+ libsqlite3-dev unzip zip ruby-dev libmysql-ruby libmysqlclient-dev libcurl4-openssl-dev}.each do |p|
package p do
action [:install]
end
Please sign in to comment.
Something went wrong with that request. Please try again.